Bug 6298 - fdisk -v reports overlapping partitions which do not
fdisk -v reports overlapping partitions which do not
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-24 01:47 EDT by wpadams
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-01 10:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wpadams 1999-10-24 01:47:48 EDT
I partitioned a large 4G hard disk, (observing usual precautions like boot sector below cylinder 1023).  I created an extended partition and made some logical partitions within that, trying first fdisk and then disk druid. Regardless of the tool used, when the table is verified with fdisk -v, warnings appear that each of the logical partitions within the extended partitions overlap although they do not according to the columns of start and end locations
Comment 1 wpadams 1999-10-24 15:27:59 EDT
WPA: next day - there is some war going on between the BIOS (Award 4.51pg on M-Technology MIG-R540 motherboard), hard disk (Seagate ST34310a installed as slave on first EIDE controller), and Linux (RH5.2). (Processor is AMD-K6 233 for the record). None of these appear on R.Hat compatibility black lists? HDD spec for non-dos is CHS=8354/16/63. Setting these in the BIOS and booting Linux, this geometry appears in the boot sequence, but "Partition check:" has hdb:[PTBL] [4177/32/63] i.e. it has translated the geometry. I tried using these settings in the BIOS setup, but this does not sort the fdisk -v warning, which appears when cylinders > 1023 are used. Ignoring the warning and proceeding with install bombs out normally (I have tried this many times), with "Invalid operand: 0000
...blah, blah, blah" when starting to format the partitions, or else just a lockup (cannot use alt-f3 to see what is going on). On the occasions the install ran through, the resulting installation is unbootable, locking up just after "Partition check"

Latest flash BIOS update made no difference.
Is DMA anything to do with this.
Comment 2 Riley H Williams 2000-03-02 17:33:59 EST
Reformatted so I (for one) can read it...

 Q> I partitioned a large 4G hard disk, (observing usual precautions like boot
 Q> sector below cylinder 1023). I created an extended partition and made some
 Q> logical partitions within that, trying first fdisk and then disk druid.
 Q> Regardless of the tool used, when the table is verified with fdisk -v,
 Q> warnings appear that each of the logical partitions within the extended
 Q> partitions overlap although they do not according to the columns of start
 Q> and end locations

 Q> WPA: next day - there is some war going on between the BIOS (Award 4.51pg
 Q> on M-Technology MIG-R540 motherboard), hard disk (Seagate ST34310a
 Q> installed as slave on first EIDE controller), and Linux (RH5.2).
 Q> (Processor is AMD-K6 233 for the record). None of these appear on R.Hat
 Q> compatibility black lists?

 Q> HDD spec for non-dos is CHS=8354/16/63. Setting these in the BIOS and
 Q> booting Linux, this geometry appears in the boot sequence, but "Partition
 Q> check:" has hdb:[PTBL] [4177/32/63] i.e. it has translated the geometry. I
 Q> tried using these settings in the BIOS setup, but this does not sort the
 Q> fdisk -v warning, which appears when cylinders > 1023 are used.

Have you tried setting a geometry of 524/255/63 (which is the LBA version of the
parameters you quoted), or even 696/192/63 (an oddball geometry that works on
SOME systems, but not on others) ??? Both of those drop the cylinders below
1023...

 Q> Ignoring the warning and proceeding with install bombs out normally (I have
 Q> tried this many times), with "Invalid operand: 0000 ...blah, blah, blah"
 Q> when starting to format the partitions, or else just a lockup (cannot use
 Q> alt-f3 to see what is going on). On the occasions the install ran through,
 Q> the resulting installation is unbootable, locking up just after "Partition
 Q> check"

 Q> Latest flash BIOS update made no difference.
 Q> Is DMA anything to do with this.

Note You need to log in before you can comment on or make changes to this bug.